Upstream information

CVE-2018-1002102 at MITRE

Description

Improper validation of URL redirection in the Kubernetes API server in versions prior to v1.14.0 allows an attacker-controlled Kubelet to redirect API server requests from streaming endpoints to arbitrary hosts. Impacted API servers will follow the redirect as a GET request with client-certificate credentials for authenticating to the Kubelet.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 3.6
Vector AV:N/AC:H/Au:S/C:P/I:P/A:N
Access Vector Network
Access Complexity High
Authentication Single
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 4.8 2.6
Vector CVSS:3.1/AV:N/AC:L/PR:H/UI:R/S:C/C:L/I:L/A:N CVSS:3.1/AV:N/AC:H/PR:H/UI:R/S:C/C:L/I:N/A:N
Access Vector Network Network
Access Complexity Low High
Privileges Required High High
User Interaction Required Required
Scope Changed Changed
Confidentiality Impact Low Low
Integrity Impact Low None
Availability Impact None None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1158805 [RESOLVED / WONTFIX]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE CaaS Platform 3.0 kubernetes Affected
SUSE CaaS Platform 4.0 kubernetes Not affected
SUSE Linux Enterprise High Performance Computing 12 kubernetes Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 kubernetes Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP1 ESPOS kubernetes Not affected
SUSE Linux Enterprise Module for Containers 15 SP1 kubernetes Unsupported
SUSE Linux Enterprise Module for Public Cloud 12 kubernetes Not affected
SUSE Linux Enterprise Server 12 kubernetes Not affected
SUSE Linux Enterprise Server 12 SP3 kubernetes Not affected
SUSE Linux Enterprise Server 12 SP4 kubernetes Not affected
SUSE Linux Enterprise Server 12 SP5 kubernetes Not affected
SUSE Linux Enterprise Server 15 SP1 kubernetes Unsupported
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 kubernetes Not affected
SUSE Linux Enterprise Server for SAP Applications 12 kubernetes Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 kubernetes Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 kubernetes Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 kubernetes Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 kubernetes Unsupported
SUSE Linux Enterprise Storage 6 kubernetes Unsupported
SUSE Manager Proxy 4.0 kubernetes Unsupported
SUSE Manager Retail Branch Server 4.0 kubernetes Unsupported
SUSE Manager Server 4.0 kubernetes Unsupported